FLUX.1 [Dev] Redux
Method: POSTEndpoint: /fal-ai/flux-1/dev/redux
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
image_url
string
Required
// provider-specific example normalized for English documentation
image_size
string
Required
num_inference_steps
integer
Required
// provider-specific example normalized for English documentation
seed
integer
Required
// provider-specific example normalized for English documentation
guidance_scale
number
Required
// provider-specific example normalized for English documentation
sync_mode
boolean
Required
// provider-specific example normalized for English documentation
num_images
integer
Required
// provider-specific example normalized for English documentation
enable_safety_checker
boolean
Required
// provider-specific example normalized for English documentation
Example
{
"image_url"
:
"string"
,
"image_size"
:
"string"
,
"num_inference_steps"
:
0
,
"seed"
:
0
,
"guidance_scale"
:
0
,
"sync_mode"
:
true
,
"num_images"
:
0
,
"enable_safety_checker"
:
true
}Example Request
Shell
bash
curl --location --request POST '/fal-ai/flux-1/dev/redux' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"image_url": "string",
"image_size": "string",
"num_inference_steps": 0,
"seed": 0,
"guidance_scale": 0,
"sync_mode": true,
"num_images": 0,
"enable_safety_checker": true
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}